AuthServiceRoleConfigGroupsResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class AuthServiceRoleConfigGroupsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.AuthServiceRoleConfigGroupsResourceApi

-     public class AuthServiceRoleConfigGroupsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthServiceRoleConfigGroupsResourceApi()`
    `AuthServiceRoleConfigGroupsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiConfigList` | `readConfig(String roleConfigGroupName, String view)` Returns the current revision of the config for the specified role config group in the Authentication Service.
    `com.squareup.okhttp.Call` | `readConfigAsync(String roleConfigGroupName, String view, ApiCallback<ApiConfigList> callback)` Returns the current revision of the config for the specified role config group in the Authentication Service.
    `com.squareup.okhttp.Call` | `readConfigCall(String roleConfigGroupName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readConfig
    `ApiResponse<ApiConfigList>` | `readConfigWithHttpInfo(String roleConfigGroupName, String view)` Returns the current revision of the config for the specified role config group in the Authentication Service.
    `ApiRoleConfigGroup` | `readRoleConfigGroup(String roleConfigGroupName)` Returns the information for a given role config group in the Authentication Service.
    `com.squareup.okhttp.Call` | `readRoleConfigGroupAsync(String roleConfigGroupName, ApiCallback<ApiRoleConfigGroup> callback)` Returns the information for a given role config group in the Authentication Service.
    `com.squareup.okhttp.Call` | `readRoleConfigGroupCall(String roleConfigGroupName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRoleConfigGroup
    `ApiRoleConfigGroupList` | `readRoleConfigGroups()` Returns the information for all role config groups in the Authentication Service.
    `com.squareup.okhttp.Call` | `readRoleConfigGroupsAsync(ApiCallback<ApiRoleConfigGroupList> callback)` Returns the information for all role config groups in the Authentication Service.
    `com.squareup.okhttp.Call` | `readRoleConfigGroupsCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRoleConfigGroups
    `ApiResponse<ApiRoleConfigGroupList>` | `readRoleConfigGroupsWithHttpInfo()` Returns the information for all role config groups in the Authentication Service.
    `ApiResponse<ApiRoleConfigGroup>` | `readRoleConfigGroupWithHttpInfo(String roleConfigGroupName)` Returns the information for a given role config group in the Authentication Service.
    `ApiRoleList` | `readRoles(String roleConfigGroupName)` Returns all roles in the given role config group in the Authentication Service.
    `com.squareup.okhttp.Call` | `readRolesAsync(String roleConfigGroupName, ApiCallback<ApiRoleList> callback)` Returns all roles in the given role config group in the Authentication Service.
    `com.squareup.okhttp.Call` | `readRolesCall(String roleConfigGroupName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRoles
    `ApiResponse<ApiRoleList>` | `readRolesWithHttpInfo(String roleConfigGroupName)` Returns all roles in the given role config group in the Authentication Service.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiConfigList` | `updateConfig(String roleConfigGroupName, String message, ApiConfigList body)` Updates the config for the given role config group in the Authentication Service.
    `com.squareup.okhttp.Call` | `updateConfigAsync(String roleConfigGroupName, String message, ApiConfigList body, ApiCallback<ApiConfigList> callback)` Updates the config for the given role config group in the Authentication Service.
    `com.squareup.okhttp.Call` | `updateConfigCall(String roleConfigGroupName, String message, ApiConfigList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateConfig
    `ApiResponse<ApiConfigList>` | `updateConfigWithHttpInfo(String roleConfigGroupName, String message, ApiConfigList body)` Updates the config for the given role config group in the Authentication Service.
    `ApiRoleConfigGroup` | `updateRoleConfigGroup(String roleConfigGroupName, String message, ApiRoleConfigGroup body)` Updates an existing role config group in the Authentication Service.
    `com.squareup.okhttp.Call` | `updateRoleConfigGroupAsync(String roleConfigGroupName, String message, ApiRoleConfigGroup body, ApiCallback<ApiRoleConfigGroup> callback)` Updates an existing role config group in the Authentication Service.
    `com.squareup.okhttp.Call` | `updateRoleConfigGroupCall(String roleConfigGroupName, String message, ApiRoleConfigGroup body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateRoleConfigGroup
    `ApiResponse<ApiRoleConfigGroup>` | `updateRoleConfigGroupWithHttpInfo(String roleConfigGroupName, String message, ApiRoleConfigGroup body)` Updates an existing role config group in the Authentication Service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthServiceRoleConfigGroupsResourceApi

          public AuthServiceRoleConfigGroupsResourceApi()

    - #### AuthServiceRoleConfigGroupsResourceApi

          public AuthServiceRoleConfigGroupsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### readConfigCall

          public com.squareup.okhttp.Call readConfigCall(String roleConfigGroupName,
                                                         String view,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for readConfig
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readConfig

          public ApiConfigList readConfig(String roleConfigGroupName,
                                          String view)
                                   throws ApiException

      Returns the current revision of the config for the specified role config group in the Authentication Service. Returns the current revision of the config for the specified role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readConfigWithHttpInfo

          public ApiResponse<ApiConfigList> readConfigWithHttpInfo(String roleConfigGroupName,
                                                                   String view)
                                                            throws ApiException

      Returns the current revision of the config for the specified role config group in the Authentication Service. Returns the current revision of the config for the specified role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readConfigAsync

          public com.squareup.okhttp.Call readConfigAsync(String roleConfigGroupName,
                                                          String view,
                                                          ApiCallback<ApiConfigList> callback)
                                                   throws ApiException

      Returns the current revision of the config for the specified role config group in the Authentication Service. (asynchronously) Returns the current revision of the config for the specified role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRoleConfigGroupCall

          public com.squareup.okhttp.Call readRoleConfigGroupCall(String roleConfigGroupName,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for readRoleConfigGroup
      Parameters:
        `roleConfigGroupName` - The name of the requested group. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRoleConfigGroup

          public ApiRoleConfigGroup readRoleConfigGroup(String roleConfigGroupName)
                                                 throws ApiException

      Returns the information for a given role config group in the Authentication Service. Returns the information for a given role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the requested group. (required)
      Returns:
        ApiRoleConfigGroup
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigGroupWithHttpInfo

          public ApiResponse<ApiRoleConfigGroup> readRoleConfigGroupWithHttpInfo(String roleConfigGroupName)
                                                                          throws ApiException

      Returns the information for a given role config group in the Authentication Service. Returns the information for a given role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the requested group. (required)
      Returns:
        ApiResponse<ApiRoleConfigGroup>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigGroupAsync

          public com.squareup.okhttp.Call readRoleConfigGroupAsync(String roleConfigGroupName,
                                                                   ApiCallback<ApiRoleConfigGroup> callback)
                                                            throws ApiException

      Returns the information for a given role config group in the Authentication Service. (asynchronously) Returns the information for a given role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the requested group. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRoleConfigGroupsCall

          public com.squareup.okhttp.Call readRoleConfigGroupsCall(ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for readRoleConfigGroups
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRoleConfigGroups

          public ApiRoleConfigGroupList readRoleConfigGroups()
                                                      throws ApiException

      Returns the information for all role config groups in the Authentication Service. Returns the information for all role config groups in the Authentication Service.
      Returns:
        ApiRoleConfigGroupList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigGroupsWithHttpInfo

          public ApiResponse<ApiRoleConfigGroupList> readRoleConfigGroupsWithHttpInfo()
                                                                               throws ApiException

      Returns the information for all role config groups in the Authentication Service. Returns the information for all role config groups in the Authentication Service.
      Returns:
        ApiResponse<ApiRoleConfigGroupList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigGroupsAsync

          public com.squareup.okhttp.Call readRoleConfigGroupsAsync(ApiCallback<ApiRoleConfigGroupList> callback)
                                                             throws ApiException

      Returns the information for all role config groups in the Authentication Service. (asynchronously) Returns the information for all role config groups in the Authentication Service.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRolesCall

          public com.squareup.okhttp.Call readRolesCall(String roleConfigGroupName,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for readRoles
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRoles

          public ApiRoleList readRoles(String roleConfigGroupName)
                                throws ApiException

      Returns all roles in the given role config group in the Authentication Service. Returns all roles in the given role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
      Returns:
        ApiRoleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRolesWithHttpInfo

          public ApiResponse<ApiRoleList> readRolesWithHttpInfo(String roleConfigGroupName)
                                                         throws ApiException

      Returns all roles in the given role config group in the Authentication Service. Returns all roles in the given role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
      Returns:
        ApiResponse<ApiRoleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRolesAsync

          public com.squareup.okhttp.Call readRolesAsync(String roleConfigGroupName,
                                                         ApiCallback<ApiRoleList> callback)
                                                  throws ApiException

      Returns all roles in the given role config group in the Authentication Service. (asynchronously) Returns all roles in the given role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateConfigCall

          public com.squareup.okhttp.Call updateConfigCall(String roleConfigGroupName,
                                                           String message,
                                                           ApiConfigList body,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for updateConfig
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
        `message` - Optional message describing the changes. (optional)
        `body` - The new config information for the group. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateConfig

          public ApiConfigList updateConfig(String roleConfigGroupName,
                                            String message,
                                            ApiConfigList body)
                                     throws ApiException

      Updates the config for the given role config group in the Authentication Service. Updates the config for the given role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
        `message` - Optional message describing the changes. (optional)
        `body` - The new config information for the group. (optional)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateConfigWithHttpInfo

          public ApiResponse<ApiConfigList> updateConfigWithHttpInfo(String roleConfigGroupName,
                                                                     String message,
                                                                     ApiConfigList body)
                                                              throws ApiException

      Updates the config for the given role config group in the Authentication Service. Updates the config for the given role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
        `message` - Optional message describing the changes. (optional)
        `body` - The new config information for the group. (optional)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateConfigAsync

          public com.squareup.okhttp.Call updateConfigAsync(String roleConfigGroupName,
                                                            String message,
                                                            ApiConfigList body,
                                                            ApiCallback<ApiConfigList> callback)
                                                     throws ApiException

      Updates the config for the given role config group in the Authentication Service. (asynchronously) Updates the config for the given role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the role config group. (required)
        `message` - Optional message describing the changes. (optional)
        `body` - The new config information for the group. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateRoleConfigGroupCall

          public com.squareup.okhttp.Call updateRoleConfigGroupCall(String roleConfigGroupName,
                                                                    String message,
                                                                    ApiRoleConfigGroup body,
                                                                    ProgressResponseBody.ProgressListener progressListener,
                                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                             throws ApiException

      Build call for updateRoleConfigGroup
      Parameters:
        `roleConfigGroupName` - The name of the group to update. (required)
        `message` - The optional message describing the changes. (optional)
        `body` - The updated role config group. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateRoleConfigGroup

          public ApiRoleConfigGroup updateRoleConfigGroup(String roleConfigGroupName,
                                                          String message,
                                                          ApiRoleConfigGroup body)
                                                   throws ApiException

      Updates an existing role config group in the Authentication Service. Updates an existing role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the group to update. (required)
        `message` - The optional message describing the changes. (optional)
        `body` - The updated role config group. (optional)
      Returns:
        ApiRoleConfigGroup
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateRoleConfigGroupWithHttpInfo

          public ApiResponse<ApiRoleConfigGroup> updateRoleConfigGroupWithHttpInfo(String roleConfigGroupName,
                                                                                   String message,
                                                                                   ApiRoleConfigGroup body)
                                                                            throws ApiException

      Updates an existing role config group in the Authentication Service. Updates an existing role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the group to update. (required)
        `message` - The optional message describing the changes. (optional)
        `body` - The updated role config group. (optional)
      Returns:
        ApiResponse<ApiRoleConfigGroup>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateRoleConfigGroupAsync

          public com.squareup.okhttp.Call updateRoleConfigGroupAsync(String roleConfigGroupName,
                                                                     String message,
                                                                     ApiRoleConfigGroup body,
                                                                     ApiCallback<ApiRoleConfigGroup> callback)
                                                              throws ApiException

      Updates an existing role config group in the Authentication Service. (asynchronously) Updates an existing role config group in the Authentication Service.
      Parameters:
        `roleConfigGroupName` - The name of the group to update. (required)
        `message` - The optional message describing the changes. (optional)
        `body` - The updated role config group. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.